using System;
using System.Windows.Forms;

namespace _4_10
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            int n = Convert.ToInt32(textBox1.Text);
            for (int i = 1; i <= n; i++)
                if (n % i == 0)
                    listBox1.Items.Add(i);
        }
    }
}